<?php
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(homeurl.' - Мои реквизиты');
$title->GetHeader();
if ($b == false){
header('location:/');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/office"style="text-decoration:none; color:white;"> Кабинет</a> :: Мои реквизиты</div></div></div>';
if (!isset($_POST['save'])) {
echo '<div class="list-group-item media"><form action="?" method="post">WMID:<br/><input type="text" class="form-control"'.(($b['wmid']==NULL) ? NULL:'disabled="disabled"  class="form-control" id="disabledInput" value="'.$b['wmid'].'"').' name="wmid"/><br/>WMR кошелёк:<br/><input type="text" class="form-control"name="wmr" '.(($b['wmr']==NULL) ? 'value="R"':'disabled="disabled" class="form-control" id="disabledInput" value="R'.$b['wmr'].'"').'/><br/>
'.((empty($b['wmr']) && empty($b['wmid'])) ? '<b><strong>* Будьте внимательны, эти данные потом нельзя изменить!</strong></b><br/>
<input type="submit" name="save" class="btn btn-primary" value="Сохранить"/>':NULL).'</div>';
} else {
$wmid = check($_POST['wmid']);
$wmr = check($_POST['wmr']);
$wmr = substr($wmr, 1, 12);
if (empty($wmid) OR empty($wmr)){ 
err('Вы не ввели WMID или WMR кошелёк!');
} elseif (!is_numeric($wmid) OR !is_numeric($wmr)) {
err('Буквы в данных?! o_O');
} elseif (strlen($wmid) !== 12 OR strlen($wmr) !== 12){
err('Невозможная длина WMID и WMR кошелька!');
} else {
DB::$dbs->query("UPDATE `blogger` SET `wmid` = ?, `wmr` = ? WHERE `id` = ?",[$wmid,$wmr,$b['id']]);
header('location: ?');
}
}
$title->GetMenu();
$title->GetFooter();
?>